Retrieve an invoice.
curl --request GET \
--url https://{subdomain}.outseta.com/api/v1/billing/stripe/invoices/{invoiceUid} \
--header 'Authorization: Bearer <token>'import requests
url = "https://{subdomain}.outseta.com/api/v1/billing/stripe/invoices/{invoiceUid}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://{subdomain}.outseta.com/api/v1/billing/stripe/invoices/{invoiceUid}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://{subdomain}.outseta.com/api/v1/billing/stripe/invoices/{invoiceUid}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://{subdomain}.outseta.com/api/v1/billing/stripe/invoices/{invoiceUid}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://{subdomain}.outseta.com/api/v1/billing/stripe/invoices/{invoiceUid}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://{subdomain}.outseta.com/api/v1/billing/stripe/invoices/{invoiceUid}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"Uid": "string",
"_objectType": "string",
"Created": "string",
"Updated": "string",
"ActivityEventData": {},
"SchemaLessData": {},
"StripeId": "string",
"IsLivemode": false,
"AmountDue": 0,
"AmountPaid": 0,
"AmountShipping": 0,
"AttemptCount": 0,
"Attempted": false,
"Currency": "string",
"Description": "string",
"FinalizedAt": "string",
"HostedInvoiceUrl": "string",
"InvoicePdf": "string",
"NextPaymentAttempt": "string",
"Number": "string",
"PeriodEnd": "string",
"PeriodStart": "string",
"Status": "string",
"StripeDiscounts": [
{
"Uid": "string",
"_objectType": "string",
"Created": "string",
"Updated": "string",
"ActivityEventData": {},
"SchemaLessData": {},
"StripeId": "string",
"IsLivemode": false,
"Account": {},
"CheckoutSessionId": "string",
"End": "string",
"InvoiceId": "string",
"InvoiceItemId": "string",
"IsDeleted": false,
"Start": "string",
"StripeCoupon": {},
"StripePromotionCode": {},
"SubscriptionId": "string",
"SubscriptionItemId": "string",
"CouponId": "string",
"CustomerId": "string",
"StripeInvoice": {},
"StripeSubscription": {},
"PromotionCodeId": "string"
}
],
"StripeInvoiceDiscountAmounts": [
{
"Uid": "string",
"_objectType": "string",
"Created": "string",
"Updated": "string",
"ActivityEventData": {},
"Amount": 0,
"DiscountId": "string",
"StripeInvoice": {},
"CurrencyAmount": 0,
"StripeDiscount": {}
}
],
"StripeInvoiceLineItems": [
{
"Uid": "string",
"_objectType": "string",
"Created": "string",
"Updated": "string",
"ActivityEventData": {},
"SchemaLessData": {},
"StripeId": "string",
"IsLivemode": false,
"StripeInvoice": {},
"Amount": 0,
"Currency": "string",
"PeriodStart": "string",
"PeriodEnd": "string",
"Quantity": 0,
"StripeDiscounts": [],
"StripePrice": {},
"EndDate": "string",
"CurrencyAmount": 0,
"PriceId": "string",
"Proration": false
}
],
"StripeInvoicePayments": [
{
"Uid": "string",
"_objectType": "string",
"Created": "string",
"Updated": "string",
"ActivityEventData": {},
"SchemaLessData": {},
"StripeId": "string",
"IsLivemode": false,
"AmountPaid": 0,
"AmountRequested": 0,
"Currency": "string",
"Payment_ChargeId": "string",
"Payment_PaymentIntentId": "string",
"Payment_Type": "string",
"StripeInvoice": {},
"Status": "string",
"InvoiceId": "string",
"StripeCharges": []
}
],
"SubTotal": 0,
"SubTotalExcludingTax": 0,
"SubscriptionId": "string",
"Tax": 0,
"Total": 0,
"TotalExcludingTax": 0,
"Account": {
"Uid": "string",
"_objectType": "string",
"Created": "string",
"Updated": "string",
"ActivityEventData": {},
"SchemaLessData": {},
"StripeId": "string",
"IsLivemode": false,
"Name": "string",
"ClientIdentifier": "string",
"Currency": "string",
"InvoiceNotes": "string",
"IsDemo": false,
"BillingAddress": {},
"MailingAddress": {},
"AccountStage": 2,
"PaymentInformation": {},
"PersonAccount": [],
"StripeDefaultPaymentMethodId": "string",
"StripeInvoices": [],
"StripePaymentMethods": [],
"StripeSubscriptions": [],
"Subscriptions": [],
"Deals": [],
"LastLoginDateTime": "string",
"AccountSpecificPageUrl1": "string",
"AccountSpecificPageUrl2": "string",
"AccountSpecificPageUrl3": "string",
"AccountSpecificPageUrl4": "string",
"AccountSpecificPageUrl5": "string",
"AccountSpecificPageUrl6": "string",
"AccountSpecificPageUrl7": "string",
"AccountSpecificPageUrl8": "string",
"AccountSpecificPageUrl9": "string",
"AccountSpecificPageUrl10": "string",
"RewardFulReferralId": "string",
"ToltReferralId": "string",
"TaxIds": [],
"TaxStatus": "string",
"AccountStageLabel": "string",
"CurrentStripeProducts": "string",
"CurrentStripeProductInstances": [],
"CurrentSubscription": {},
"DomainName": "string",
"TenantBillingSystem": 1,
"HasLoggedIn": false,
"LatestSubscription": {},
"LifetimeRevenue": 0,
"NextStripeInvoiceDate": "string",
"Nonce": "string",
"PrimaryContact": {},
"PrimarySubscription": {},
"PrimaryStripeSubscription": {},
"RecaptchaToken": "string",
"StripeCheckoutMetadata": {},
"StripeNextInvoiceSequence": 0,
"StripePrice": [],
"StripePriceIds": "string",
"StripePromotionCode": "string",
"TaxId": "string",
"TaxIdIsInvalid": false,
"TaxIdType": "string",
"WebflowSlug": "string"
},
"IsImported": false,
"IsRefunded": false,
"CurrencyAmountCreditedPostPayment": 0,
"CurrencyAmountCreditedPrePayment": 0,
"CurrencyAmountDue": 0,
"CurrencyAmountPaid": 0,
"CurrencySymbol": "string",
"CurrencyTotal": 0,
"CurrencyTotalExcludingTax": 0,
"CurrencySubTotal": 0,
"CurrencySubTotalExcludingTax": 0,
"CurrencyTax": 0,
"DaysUntilDue": 0,
"CustomerId": "string",
"PaymentStatus": "string",
"StripeCreditNotes": [
{
"Uid": "string",
"_objectType": "string",
"Created": "string",
"Updated": "string",
"ActivityEventData": {},
"SchemaLessData": {},
"StripeId": "string",
"IsLivemode": false,
"Currency": "string",
"CustomerId": "string",
"InvoiceId": "string",
"OutOfBandAmount": 0,
"PostPaymentAmount": 0,
"PrePaymentAmount": 0,
"Reason": "string",
"Status": "string",
"Total": 0,
"Type": "string",
"CurrencySymbol": "string",
"CurrencyTotal": 0
}
],
"StripePaymentMethodId": "string"
}Invoices & payments
Retrieve an invoice.
GET
/
api
/
v1
/
billing
/
stripe
/
invoices
/
{invoiceUid}
Retrieve an invoice.
curl --request GET \
--url https://{subdomain}.outseta.com/api/v1/billing/stripe/invoices/{invoiceUid} \
--header 'Authorization: Bearer <token>'import requests
url = "https://{subdomain}.outseta.com/api/v1/billing/stripe/invoices/{invoiceUid}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://{subdomain}.outseta.com/api/v1/billing/stripe/invoices/{invoiceUid}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://{subdomain}.outseta.com/api/v1/billing/stripe/invoices/{invoiceUid}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://{subdomain}.outseta.com/api/v1/billing/stripe/invoices/{invoiceUid}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://{subdomain}.outseta.com/api/v1/billing/stripe/invoices/{invoiceUid}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://{subdomain}.outseta.com/api/v1/billing/stripe/invoices/{invoiceUid}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"Uid": "string",
"_objectType": "string",
"Created": "string",
"Updated": "string",
"ActivityEventData": {},
"SchemaLessData": {},
"StripeId": "string",
"IsLivemode": false,
"AmountDue": 0,
"AmountPaid": 0,
"AmountShipping": 0,
"AttemptCount": 0,
"Attempted": false,
"Currency": "string",
"Description": "string",
"FinalizedAt": "string",
"HostedInvoiceUrl": "string",
"InvoicePdf": "string",
"NextPaymentAttempt": "string",
"Number": "string",
"PeriodEnd": "string",
"PeriodStart": "string",
"Status": "string",
"StripeDiscounts": [
{
"Uid": "string",
"_objectType": "string",
"Created": "string",
"Updated": "string",
"ActivityEventData": {},
"SchemaLessData": {},
"StripeId": "string",
"IsLivemode": false,
"Account": {},
"CheckoutSessionId": "string",
"End": "string",
"InvoiceId": "string",
"InvoiceItemId": "string",
"IsDeleted": false,
"Start": "string",
"StripeCoupon": {},
"StripePromotionCode": {},
"SubscriptionId": "string",
"SubscriptionItemId": "string",
"CouponId": "string",
"CustomerId": "string",
"StripeInvoice": {},
"StripeSubscription": {},
"PromotionCodeId": "string"
}
],
"StripeInvoiceDiscountAmounts": [
{
"Uid": "string",
"_objectType": "string",
"Created": "string",
"Updated": "string",
"ActivityEventData": {},
"Amount": 0,
"DiscountId": "string",
"StripeInvoice": {},
"CurrencyAmount": 0,
"StripeDiscount": {}
}
],
"StripeInvoiceLineItems": [
{
"Uid": "string",
"_objectType": "string",
"Created": "string",
"Updated": "string",
"ActivityEventData": {},
"SchemaLessData": {},
"StripeId": "string",
"IsLivemode": false,
"StripeInvoice": {},
"Amount": 0,
"Currency": "string",
"PeriodStart": "string",
"PeriodEnd": "string",
"Quantity": 0,
"StripeDiscounts": [],
"StripePrice": {},
"EndDate": "string",
"CurrencyAmount": 0,
"PriceId": "string",
"Proration": false
}
],
"StripeInvoicePayments": [
{
"Uid": "string",
"_objectType": "string",
"Created": "string",
"Updated": "string",
"ActivityEventData": {},
"SchemaLessData": {},
"StripeId": "string",
"IsLivemode": false,
"AmountPaid": 0,
"AmountRequested": 0,
"Currency": "string",
"Payment_ChargeId": "string",
"Payment_PaymentIntentId": "string",
"Payment_Type": "string",
"StripeInvoice": {},
"Status": "string",
"InvoiceId": "string",
"StripeCharges": []
}
],
"SubTotal": 0,
"SubTotalExcludingTax": 0,
"SubscriptionId": "string",
"Tax": 0,
"Total": 0,
"TotalExcludingTax": 0,
"Account": {
"Uid": "string",
"_objectType": "string",
"Created": "string",
"Updated": "string",
"ActivityEventData": {},
"SchemaLessData": {},
"StripeId": "string",
"IsLivemode": false,
"Name": "string",
"ClientIdentifier": "string",
"Currency": "string",
"InvoiceNotes": "string",
"IsDemo": false,
"BillingAddress": {},
"MailingAddress": {},
"AccountStage": 2,
"PaymentInformation": {},
"PersonAccount": [],
"StripeDefaultPaymentMethodId": "string",
"StripeInvoices": [],
"StripePaymentMethods": [],
"StripeSubscriptions": [],
"Subscriptions": [],
"Deals": [],
"LastLoginDateTime": "string",
"AccountSpecificPageUrl1": "string",
"AccountSpecificPageUrl2": "string",
"AccountSpecificPageUrl3": "string",
"AccountSpecificPageUrl4": "string",
"AccountSpecificPageUrl5": "string",
"AccountSpecificPageUrl6": "string",
"AccountSpecificPageUrl7": "string",
"AccountSpecificPageUrl8": "string",
"AccountSpecificPageUrl9": "string",
"AccountSpecificPageUrl10": "string",
"RewardFulReferralId": "string",
"ToltReferralId": "string",
"TaxIds": [],
"TaxStatus": "string",
"AccountStageLabel": "string",
"CurrentStripeProducts": "string",
"CurrentStripeProductInstances": [],
"CurrentSubscription": {},
"DomainName": "string",
"TenantBillingSystem": 1,
"HasLoggedIn": false,
"LatestSubscription": {},
"LifetimeRevenue": 0,
"NextStripeInvoiceDate": "string",
"Nonce": "string",
"PrimaryContact": {},
"PrimarySubscription": {},
"PrimaryStripeSubscription": {},
"RecaptchaToken": "string",
"StripeCheckoutMetadata": {},
"StripeNextInvoiceSequence": 0,
"StripePrice": [],
"StripePriceIds": "string",
"StripePromotionCode": "string",
"TaxId": "string",
"TaxIdIsInvalid": false,
"TaxIdType": "string",
"WebflowSlug": "string"
},
"IsImported": false,
"IsRefunded": false,
"CurrencyAmountCreditedPostPayment": 0,
"CurrencyAmountCreditedPrePayment": 0,
"CurrencyAmountDue": 0,
"CurrencyAmountPaid": 0,
"CurrencySymbol": "string",
"CurrencyTotal": 0,
"CurrencyTotalExcludingTax": 0,
"CurrencySubTotal": 0,
"CurrencySubTotalExcludingTax": 0,
"CurrencyTax": 0,
"DaysUntilDue": 0,
"CustomerId": "string",
"PaymentStatus": "string",
"StripeCreditNotes": [
{
"Uid": "string",
"_objectType": "string",
"Created": "string",
"Updated": "string",
"ActivityEventData": {},
"SchemaLessData": {},
"StripeId": "string",
"IsLivemode": false,
"Currency": "string",
"CustomerId": "string",
"InvoiceId": "string",
"OutOfBandAmount": 0,
"PostPaymentAmount": 0,
"PrePaymentAmount": 0,
"Reason": "string",
"Status": "string",
"Total": 0,
"Type": "string",
"CurrencySymbol": "string",
"CurrencyTotal": 0
}
],
"StripePaymentMethodId": "string"
}Authorizations
BearerApiKey
Enter your access token (OAuth / JWT).
Path Parameters
The invoice's unique identifier
Response
Minimum string length:
1Minimum string length:
1Maximum string length:
10Show child attributes
Show child attributes
Maximum string length:
255Maximum string length:
3Maximum string length:
500Maximum string length:
500Maximum string length:
50Maximum string length:
30Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Maximum string length:
255Circular reference to Account (not expanded here).
Show child attributes
Show child attributes